Skip to main content
GET
/
risk
/
team-history
/
{team_id}
List historical team risk assessments for a team
curl --request GET \
  --url https://api.mnemom.ai/v1/risk/team-history/{team_id} \
  --header 'Authorization: Bearer <token>'
{
  "team_id": "<string>",
  "assessments": [
    {
      "assessment_id": "<string>",
      "team_id": "<string>",
      "agent_count": 123,
      "team_risk_score": 123,
      "team_risk_level": "<string>",
      "team_coherence_score": 123,
      "team_recommendation": "<string>",
      "portfolio_risk": {},
      "coherence_risk": {},
      "concentration_risk": {},
      "weakest_link_risk": {},
      "individual_assessments": [
        {
          "assessment_id": "<string>",
          "agent_id": "<string>",
          "risk_score": 123,
          "contributing_factors": [
            {}
          ],
          "suggested_thresholds": {},
          "explanation": "<string>",
          "proof_id": "<string>",
          "created_at": "2023-11-07T05:31:56Z"
        }
      ],
      "outliers": "<array>",
      "clusters": "<array>",
      "value_divergences": "<array>",
      "shapley_values": {},
      "synergy_type": "<string>",
      "explanation": "<string>",
      "proof_id": "<string>",
      "proof_status": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "limit": 123,
  "offset": 123
}

Authorizations

Authorization
string
header
required

Supabase JWT token in Authorization: Bearer header

Path Parameters

team_id
string
required

Team identifier (UUID)

Query Parameters

limit
integer
default:20
Required range: 1 <= x <= 100
offset
integer
default:0
Required range: x >= 0

Response

History page.

team_id
string
assessments
object[]
total
integer
limit
integer
offset
integer